List barber appointments
List appointments owned by the authenticated barber.
Results are ordered by occursOn descending, then id descending.
An offset at or beyond the total matching count returns an empty
items array with the true total in count.
Path Parameters
The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.
Query Parameters
When included, filter to appointments with any of these payment methods. When excluded, appointments are not filtered by payment method.
The method used to process the payment.
platform means Guile manages the payment through our
payment provider.
external means the payment is managed externally. This
is either cash or a peer-to-peer payment system, such as
Venmo.
platform, external When included, filter to appointments with any of these payment directions. When excluded, appointments are not filtered by payment direction.
The direction of the payment flow.
payment means money flows from customer to business.
refund means money flows from business to customer.
payment, refund When included, filter to appointments with any of these payment states. When excluded, appointments are not filtered by payment state.
The money position of an appointment's payment. pending means no funds
have moved. processing means an authorization or capture attempt is in
flight. authorized means funds are held but not captured, paid means
captured and settled, and failed means the last authorization attempt
failed.
pending, processing, authorized, paid, failed A date range, supporting inclusive or exclusive endpoints.
Dates ranges use dates expressed in YYYY-MM-DD RFC 3339
date format.
The value may have the following forms:
YYYY-MM-DDmatch the date exactly; equivalent to matching dates in the range[YYYY-MM-DD,YYYY-MM-DD][YYYY-MM-DD,YYYY-MM-DD]between two dates, inclusive of the endpoints(YYYY-MM-DD,YYYY-MM-DD)between two dates, exclusive of the endpoints[YYYY-MM-DD,]on or after the date(YYYY-MM-DD,)after the date[,YYYY-MM-DD]before or on the date(,YYYY-MM-DD)before the date
Examples:
- '2022-05-19'
- '[2022-05-01,2022-05-31]'
- '[2022-05-01,2022-06-01)'
- '[2022-05-19,]'
- '(2022-05-19,)'
- '[,2022-05-19]'
- '(,2022-05-19)'.
24^(\d{4}-\d{2}-\d{2}|[\[(](\d{4}-\d{2}-\d{2},(\d{4}-\d{2}-\d{2})?|,\d{4}-\d{2}-\d{2})[)\]])$When included, filter to appointments with any of these appointment states. When excluded, appointments are not filtered by appointment state.
Valid states of the appointment.
pending, scheduled, canceled, completed, rejected, expired When included, filter to appointments with any of these pending
classifications. Use bookingApproval for the barber's booking
request queue. When excluded, appointments are not filtered by
pending classification.
Why an appointment is pending.
bookingApproval, cardConfirmation When included, filter to appointments with any of these cancellation fee types. When excluded, appointments are not filtered by cancellation fee type. Indicates the fee type for cancelations.
lateCancelation, noShow The number of matching appointments to skip.
0 <= x <= 32767The maximum number of appointments to return.
1 <= x <= 100Response
Ok. The operation succeeded.
A paginated list of barber-facing appointment summaries.
x >= 0The offset of list results for the current page.
x >= 0The maximum number of results included in items.
x >= 0Counts across all appointments matching the current filters, not only this page.